Follow

What are the system requirements for creating a book?

You can use Blog2Print on Firefox, Chrome, Internet Explorer, or Safari. We suggest you use the current version. You'll also need Adobe Reader to preview the final version of your book, once created.

Adobe Reader is also required to view a sample book and to preview the final version of your book, once created. You can download the free software now by clicking here.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk